
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android自定义状态栏通知（Status Notification）的正确实现 / iVAN</title>

    <meta name="description" content="Android自定义状态栏通知（Status Notification）的正确实现 在Android应用开发中,经常会使用到状态栏通知(Status Notification),例如新浪微博.网易新闻等提供的推送消息,软件后台更新时进度的显示等等,如下图所示: 看了网上很多关于Notification的博客文章,发现几乎没有一个能将自定义状态栏通知完全实现正确的,因此,本文就来说说实现自定义状态栏通知经常被忽略的一些知识点. 1) 使用Notification最常见的场景 运行在后台的Service当需要和用户交互时,由于它不能直接启动一个Activity,因此,Service">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android自定义状态栏通知（Status Notification）的正确实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Android应用开发中，经常会使用到状态栏通知（Status Notification），例如新浪微博、网易新闻等提供的推送消息，软件后台更新时进度的显示等等，如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3Lmpjb2RlY3JhZWVyLmNvbS91cGxvYWRzL2FsbGltZy8xMzAzMjMvMjE1NDMxMzFXLTAucG5n.jpg"></p>
<p>看了网上很多关于Notification的博客文章，发现几乎没有一个能将自定义状态栏通知完全实现正确的，因此，本文就来说说实现自定义状态栏通知经常被忽略的一些知识点。</p>
<p>1） 使用Notification最常见的场景</p>
<p>运行在后台的Service当需要和用户交互时，由于它不能直接启动一个Activity，因此，Service必须使用Notification来间接的启动Activity（当用户点击Notification时跳转）。</p>
<p>2） 自定义布局文件支持的控件类型</p>
<p>Notification 的自定义布局是RemoteViews，因此，它仅支持FrameLayout、LinearLayout、RelativeLayout三种布局控件， 同时支持AnalogClock、Chronometer、Button、ImageButton、ImageView、ProgressBar、 TextView、ViewFlipper、ListView、GridView、StackView和AdapterViewFlipper这些UI控 件。对于其他不支持的控件，使用时将会抛出ClassNotFoundException异常。</p>
<p>3） Notification支持的Intent类型（都是PendingIntent类的实例）</p>
<p>contentIntent：在通知窗口区域，Notification被单击时的响应事件由该intent触发；</p>
<p>deleteIntent：<a>在通知窗口区域</a>，当用户点击全部清除按钮时，响应该清除事件的Intent；</p>
<p>fullScreenIntent：响应紧急状态的全屏事件（例如来电事件），也就是说通知来的时候，跳过在通知区域点击通知这一步，直接执行fullScreenIntent代表的事件。</p>
<p>上面三种PendingIntent可以拉起Activity、Service和BroadcastReceiver，如图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3Lmpjb2RlY3JhZWVyLmNvbS91cGxvYWRzL2FsbGltZy8xMzAzMjMvMjE1SDFLMzItMC5wbmc=.jpg"></p>
<p>4） 状态栏通知字体的设置</p>
<p>不同的手机，不同的 Android平台版本，状态栏通知窗口的背景颜色可能千差万别，例如Android2.3之前的版本通知窗口默认背景是白色的，Android4.0之 后的版本通知窗口背景默认是黑色的，这就需要在设置Notification的字体时加以区别，否则，很容易导致通知的字体颜色和背景色一样，从而看不到 字体部分，市面上很多app就存在这个问题。如下图所示，华为智汇云和百度音乐这两款应用就明显存在这个问题。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3Lmpjb2RlY3JhZWVyLmNvbS91cGxvYWRzL2FsbGltZy8xMzAzMjMvMjE1UjQ2MU0tMC5wbmc=.jpg"></p>
<p>从Android2.3（API level 9）开始，系统为默认通知栏布局的字体定义了样式如下：</p>
<pre>"android:TextAppearance.StatusBar.EventContent"

"android:TextAppearance.StatusBar.EventContent.Title"</pre>
<p>因此，在2.3之后的版本中我们自定义布局文件中的字体直接应用这个样式就可以。对于2.3之前的版本，由于背景色是白色的，因此，我们使用如下系统预定义样式指定字体的颜色：</p>
<p>?android:attr/textColorPrimary</p>
<p>因此，在res的values目录下定义styles.xml文件如下：</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;resources&gt;  

    &lt;style name="NotificationText"&gt;
        &lt;item name="android:textColor"&gt;?android:attr/textColorPrimary&lt;/item&gt;
    &lt;/style&gt;  

    &lt;style name="NotificationTitle"&gt;
        &lt;item name="android:textColor"&gt;?android:attr/textColorPrimary&lt;/item&gt;
        &lt;item name="android:textStyle"&gt;bold&lt;/item&gt;
    &lt;/style&gt;  

&lt;/resources&gt;</pre>
<p>在res的values-v9目录下定义styles.xml文件如下：</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;resources&gt;  

    &lt;style name="NotificationText" parent="android:TextAppearance.StatusBar.EventContent" /&gt;  

    &lt;style name="NotificationTitle" parent="android:TextAppearance.StatusBar.EventContent.Title" /&gt;  

&lt;/resources&gt;</pre>
<p>自定义通知布局文件使用styles文件如下：</p>
<pre>&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    tools:ignore="ContentDescription" &gt;  

    &lt;ImageView
        android:id="@+id/image"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_centerVertical="true"
        android:layout_marginLeft="5.0dp"
        android:layout_marginRight="10.0dp" /&gt;  

    &lt;RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_toRightOf="@id/image" &gt;  

        &lt;TextView
            android:id="@+id/title"
            style="@style/NotificationTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" /&gt;  

        &lt;TextView
            android:id="@+id/text"
            style="@style/NotificationText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/title" /&gt;
    &lt;/RelativeLayout&gt;  

&lt;/RelativeLayout&gt;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:14:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android自定义状态栏通知（Status Notification）的正确实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZw5gwb.html" rel="bookmark">Android自定义状态栏颜色与APP风格保持一致的实现方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道iOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDecor Theme.Holo.NoActionBa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3VBRgz.html" rel="bookmark">Android自定义状态栏颜色与应用标题栏颜色一致&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每次看IOS上的应用,应用中状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,对于这种效果,像我这种好奇心强的人就会去看看那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0652Jz.html" rel="bookmark">Android自定义状态栏颜色与APP风格保持一致的实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道iOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDecor Theme.Holo.NoActionBa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26X3rb.html" rel="bookmark">Android 自定义状态栏实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.目标:Android5.0以上 二.步骤 1.在res-values-colors.xml下新建一个RGB颜色 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;resources&gt; &lt;color name=&quot;colorPrimary&quot;&gt;#3F51B5&lt;/color&gt; &lt;color name=&quot;colorPrimaryDark&quot;&gt;#3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7najz.html" rel="bookmark">android自定义状态栏颜色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道IOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: [html] view plaincopy Theme.Holo.Light.NoActionBar.TranslucentDecor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eP3Nb.html" rel="bookmark">自定义状态栏notification布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				布局定义custom_notification.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;   &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;       android:layout_width=&quot;match_parent&quot;       android:layout			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M694XJb.html" rel="bookmark">Android自定义手机界面状态栏实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 我们知道IOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现这个效果有两个方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDecor Theme.Holo.NoActi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqR4jRp.html" rel="bookmark">Android开发指南&lpar;38&rpar; &mdash;&mdash; Status Bar Notifications</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容为Android开发者指南的 Framework Topics/User Interface/Notifications/Status Bar Notifications章节,译为&quot;状态栏通知&quot;,版本为Android 4.0 r1,翻译来自:&quot;呆呆大虾&quot;,欢迎访问他的微博:&quot;http://weibo.com/popapa&quot;,再次感谢&quot;呆呆大虾&quot; !期待你一起参与翻译Android的相关资料,联系我over140@			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkllAM.html" rel="bookmark">Android自定义播放器控件VideoView&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍 最近要使用播放器做一个简单的视频播放功能,开始学习VideoView,在横竖屏切换的时候碰到了点麻烦,不过在查阅资料后总算是解决了.在写VideoView播放视频时候定义控制的代码全写在Actvity里了,写完一看我靠代码好乱,于是就写了个自定义的播放器控件,支持指定大小,可以横竖屏切换,手动左右滑动快进快退.好了,下面开始. 效果图有点卡,我也不知道为啥..... VideoView介绍 这个是我们实现视频播放最主要的控件,详细的介绍大家百度就去看,这里介绍几个常用的方法. 用于播放视频			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bom4gp.html" rel="bookmark" class="title">iptables防火墙应用之动态DNS</a>
					<div>
						一.核心思想 配置动态DNS服务器的核心思想是:在DNS服务器上运行多个BIND,每个BIND为来自不同区域的用户提供解析,因此每个BIND都应具有不同的配置文件和域文件,并且分别监听在不同的端口.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkxLdz.html" rel="bookmark" class="title">PHP4&period;03在linux下的安装</a>
					<div>
						所需软件 php4.03源程序 C语言代码 mysql3.23 alpha源程序 apache 1.3.11源程序 phpmyadmin_2.0.5 管理MYSQL数据库的最佳工具 第一步 下载所需程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mnDp.html" rel="bookmark" class="title">什么是API&quest;如何做到API兼容&quest;如何评估API&quest;</a>
					<div>
						文章描述:本文主要介绍什么是API,以及API兼容的重要性,最终给出方案如何评估API,以及如何做到API兼容. 本文主要介绍什么是API,以及API兼容的重要性,最终给出方案如何评估API,以及如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlJ7Dz.html" rel="bookmark" class="title">指针与数组（一）</a>
					<div>
						变量在内存存放是有地址的,数组在内存存放也同样具有地址.对数组来说,数组名就是数组在内存安放的首地址.指针变量是用于存放变量的地址,可以指向变量,当然也可存放数组的首址或数组元素的地址,这就是说,指针 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDALJBb.html" rel="bookmark" class="title">jquery返回顶部代码</a>
					<div>
						分享一个jquery在返回顶部在代码:不依赖CSS $(&quot;body&quot;).append(&quot; ∧   &quot;);   var totop=$(&quot;#toTop& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPqZwz.html" rel="bookmark" class="title">在Word中插入Access、SQL数据库数据</a>
					<div>
						Word共享Access数据最简单的方法是复制.粘贴,你只需打开Access数据库中的表,就可以像复制Excel数据那样复制Access数据然后粘贴到Word中.另外,Word还可以使用插入记录的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP82Zz.html" rel="bookmark" class="title">JQuery中clone方法复制节点</a>
					<div>
						  本文实例讲述了JQuery中clone方法复制节点.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa963M.html" rel="bookmark" class="title">QQ浏览器怎么拦截网页广告</a>
					<div>
						  大家在使用QQ浏览器2015浏览网页的时候发现网页上有很多的广告,那么QQ浏览器2015怎么拦截网页广告呢?其实方法很简单哦,只要打开QQ浏览器2015点击菜单就可以找到工具栏里的广告拦截功能,下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3KVOp.html" rel="bookmark" class="title">Ubuntu下配置vpn工作环境</a>
					<div>
						  公司的服务器提供了vpn接入点,这样在家里也可以通过vpn连到公司的服务器里作一些事情.昨天下午申请了vpn帐号,然后先在windows下试着连接vpn服务器,一切okay,证明自己的vpn帐户没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArwlZp.html" rel="bookmark" class="title">VOB文件怎么打开</a>
					<div>
						  VOB文件怎么打开          方法/步骤如下: 1.你可以转换VOB格式的文件,我们可以借助视频转换工具,把它转换成你想要的格式,例如mp4,avi,rmvb等格式,具体选择何种视频转换工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z723mqp.html" rel="bookmark" class="title">PowerDesigner中转换物理模型时的命名转换</a>
					<div>
						最近在使用PowerDesigner建模数据库,在使用中积累了一些遇到的问题和解决办法,记录下来,希望对遇到同样问题的朋友有所帮助. 早期在PowerDesigner中,只有概念模型和物理模型,一般是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmy8Nz.html" rel="bookmark" class="title">帮我翻译一软件相关的段话，中文译英文</a>
					<div>
						问题描述 帮我翻译一软件相关的段话,中文译英文 因嵌入式系统硬件资源有限,多采用体积小.效率高和面向过程的C语言进行开发,C语言是嵌入式软件中必不可少的开发语言,对嵌入式软件的进行单元测试多针对C语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA172M.html" rel="bookmark" class="title">BITMAP BITMAPINFO BITMAPINFOHEADER</a>
					<div>
						BITMAP :  The BITMAP structure structure defines the height, width, color format, and bit values of  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoVAyb.html" rel="bookmark" class="title">谷歌虚拟大脑进入应用阶段</a>
					<div>
						 该项虚拟大脑技术最初用识别&quot;猫&quot;脸的方式进行训练     北京时间10月8日消息,据国外科技网站报道,今年夏天,谷歌在人工智能领域(AI)又达到了一个新的高度,他们开发出了一款模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxQ2mb.html" rel="bookmark" class="title">数据库查询-三级联动的二级和三级要用查询到的数据来关联</a>
					<div>
						问题描述 三级联动的二级和三级要用查询到的数据来关联 如图所示,gc_parent_id=0的商品是第一级,后面二三级的gc_parent_id等于他前一级的id,然后我在网上找了个三级联动的JS代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6w1nM.html" rel="bookmark" class="title">linux下代替system的基于管道的popen和pclose函数</a>
					<div>
						linux下使用system需要谨慎,那么代替它的方法是什么呢? 标准I/O函数库提供了popen函数,它启动另外一个进程去执行一个shell命令行. 这里我们称调用popen的进程为父进程,由pop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZYBRz.html" rel="bookmark" class="title">《数据结构与算法 C语言版》&mdash;&mdash; 2&period;5上机实验</a>
					<div>
						2.5上机实验 实验1编写一个程序,实现顺序表的各种基本运算,并在此基础上设计一个主程序完成以下功能: 1)初始化顺序表L. 2)依次采用尾插法或头插法插入元素a,b,c,d,e. 3)输出顺序表L. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlGLAp.html" rel="bookmark" class="title">MySQL &CenterDot; 实现分析 &CenterDot; 对字符集和字符序支持的实现</a>
					<div>
						前言 在使用MySQL数据库的时候,常常会发现由于charset或collation设置不正确导致的各种问题.一方面由于数据在client和server之间传输需要做转换会导致CPU使用率增加:另一方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeQBlb.html" rel="bookmark" class="title">ios-过滤字符串的开头是数字或符号</a>
					<div>
						问题描述 过滤字符串的开头是数字或符号 怎么样对字符串的开头是数字或是符号进行过滤,然后给带NSPredicate的NSArray. 举个例子: array = {&quot;&quot;John&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL5kmp.html" rel="bookmark" class="title">零基础入门深度学习&lpar;五&rpar;：长短时记忆网络</a>
					<div>
						在上一篇文章&lt;零基础入门深度学习(4):循环神经网络&gt;中,我们介绍了循环神经网络以及它的训练算法.我们也介绍了循环神经网络很难训练的原因,这导致了它在实际应用中,很难处理长距离的依赖.在本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA5l7p.html" rel="bookmark" class="title">ckeditor 修改上传图片宽度和高度</a>
					<div>
						问题描述 ckeditor 修改上传图片宽度和高度 怎样修改上传图片的高度和宽度啊,通过js或者修改ckeditor的js文件.每次都手动填太麻烦了. 解决方案 ckeditorpluginsimag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R2NRz.html" rel="bookmark" class="title">ios  uiwebview加载jsp界面获取地理位置信息</a>
					<div>
						问题描述 ios uiwebview加载jsp界面获取地理位置信息 我用uiwebview加载一个jsp页面,jsp页面中有通过geolocation请求地理位置,我在iOS手机上应该加什么才能让js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnlvNM.html" rel="bookmark" class="title">网络营销需要去实战</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网络营销是一门实战技术.很难说网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX06kWp.html" rel="bookmark" class="title">Heartbleed&OpenCurlyDoubleQuote;心脏流血&rdquo;漏洞已大范围修补</a>
					<div>
						据Re/code网站报道,上周震惊整个互联网世界的&quot;心脏流血&quot; 漏洞(Heartbleed)引发了人们的恐慌.不过,最新报告显示,目前大部分网站已进行更新,修补了这一漏洞.互联网安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0KlVp.html" rel="bookmark" class="title">C&plus;&plus;类中的常数据成员与静态数据成员之间的区别&lowbar;C 语言</a>
					<div>
						刚开始学习C++的类和对象的部分,对类中的常数据成员和静态数据成员的概念和用法经常混淆,所以今天整理一下,顺便说一下,今天是我的生日,祝我生日快乐,呵呵. 常数据成员常数据成员是指在类中定义的不能修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl9BAp.html" rel="bookmark" class="title">C&num;调用C&plus;&plus; Dll ，单返回值不正确</a>
					<div>
						问题描述 C++dll中函数原型EXPORTint_stdcallCryptOptionsString(constchar*pID,constintnMoudle,unsignedintnSeed,c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNO7Vp.html" rel="bookmark" class="title">关于文件被占用的问题</a>
					<div>
						问题描述 大家好:我想请问一下怎么判断一个文件是否被占用呢,不要用访问报错的方法来判断,谢谢大家 解决方案 解决方案二:mark解决方案三:如果是winform,可以查查有没有进程访问该文件夹					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7QjrM.html" rel="bookmark" class="title">请教selenium&plus;eclipse中&comma;运行失败解决方法</a>
					<div>
						问题描述 在eclipse中,运行,给出提示org.openqa.selenium.webdriverexception:failedtoconnecttoippingunavailableinsta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWYaAM.html" rel="bookmark" class="title">圣诞购物季期间，电子阅读器销量将大幅增加</a>
					<div>
						以下为文章全文: 正式见面今年的圣诞购物季,美国消费者将与电子阅读器正式见面.电子阅读器将登陆塔吉特(Target).百思买和沃尔玛等全美各大商场,而且不足150美元的价位也非常适合作为圣诞节礼物.往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YZYnp.html" rel="bookmark" class="title">北京北辰实业股份有限公司</a>
					<div>
						北京北辰实业股份有限公司由北京北辰实业集团公司独家发起设立.1997年4月2日在北京注册成立.同年在香港发行H股(HK.0588) 并于5月14日挂牌上市.2006 年10月16日公司15 亿股A 股 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
